Subject: RE: [AVT] V.21 bit representations in RFC 2833

From: "Fox, Mike" <[email-masked]>
Date: Fri, 26 Oct 2001 10:43:51 -0700

Hi Miao,
In section 3.8 of rfc2833 the packet example shows how to send three events
'9''1''1'. V.21 works at 300bps, so you could send 10 new bit events every
30 ms plus the previous 20 events for redundancy. I do not think RFC 2833
was intended to become a modem relay, at least not an efficient one!

Best regards,
Mike

> -----Original Message-----
> From: Miao, Kai [mailto:[email-masked]]
> Sent: Friday, October 26, 2001 7:36 AM
> To: [email-masked]
> Subject: [AVT] V.21 bit representations in RFC 2833
> 
> 
> I am wondering how the V.21 bit representations specified in 
> RFC2833 can be
> actually transported/implemented. The duration of each bit is 
> only 3.33ms
> and a typical V.21 frame would contain multiple bits, as in 
> V.8's CI, CM, or
> JM. 
> 
> If my codec is G723.1 which has 30ms frame size, do I make my 
> RFC2833 packet
> contain multple bit events of V.21 that have occurred up to 
> the point the
> packet is transmitted, in addition to the redundant events already
> transmitted in previous packets? This means that up to 9 bit 
> events can be
> packed into the primary frame in a packet. 
> 
> An underlying assumption of the standard seems to be that 
> "packet rate is
> always greater than event rate". What would happen if it is 
> not, as in this
> case?
> 
> Whoever has dealt with this issue, please confirm if this is 
> the correct
> method and provide the alternative if it is not. 
> 
> Thanks,
> Kai Miao 
> Intel Communications Group
> 
> _______________________________________________
> Audio/Video Transport Working Group
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/avt
> 

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
http://www1.ietf.org/mailman/listinfo/avt

---

From: "Gunnar Hellstrom" <[email-masked]>
Date: Sat, 27 Oct 2001 22:35:50 +0200

Kai,
A V.21 communication could be transmitted with RFC 2793, assuming that you
have character framing of your V.21.
With RFC3793 you can include redundancy to increase reliability.
You can initiate it in a SDP - SIP environment if you want, because it is
MIME registered.

But, it is not planned for transmission of V.8 and V.8 bis sequences.
Especially the V.8 CI is not character framed.

If you want to transmit the V.8 or V.8 bis handshake through IP, Mike´s
guidance is good.
However, the section 3.8 example is based on DTMF. For the V.21 case, the
events should be per bit and come at 3.33 ms intervals.
With the frequency coded with 16 bits per detected V.21 bit, at least 16
times the V.21 bitrate would be needed to transmit the V.21 contents. Some
more will be lost in RTP headers.
That results in a need for at least 4800 bits/s to transfer the 300 bits/s.
With 3 times redundancy added, it will be 14400 bits/s. I think it is here
that you see a conflict if you have a channel that does not allow for this
amount.

If you cannot send the bit indicators at the original rate, you have a risk
to have a receiver converting back to audio, eventually being underrun, and
the time relation of the bits will be destroyed.

Most operations in V.8 and V.8 bis are message oriented. You send a short
message and await a response. You have to evaluate if you always can stick
the information for one V.8 or V.8 bis message in one RTP packet. If so, you
might be safe. Otherwise you need another coding method for V.21.

H.248 Annex F specifies detection, coding and reproduction of V.8 and V.8
bis messages, and the code to be used for transmission to and from the MGC.
It might be needed to continue on that protocol and also create the
packetisation of these signals.

For gateway use however, I had hoped that the involved gateways had their
own independant V.8 and V.8 bis negotiation with the modem, and only the
data contents of the session needed packetisation and transmission end to
end.

Bestr regards
Gunnar Hellström
--------------------------
Gunnar Hellström
Omnitor AB
Alsnögatan 7, 4tr
S-116 41 Stockholm
Sweden

Tel +46 708 204 288
Fax +46 8 556 002 06
Video +46 8 556 002 05
Txt (All kinds) +46 8 556 002 05
E-mail [email-masked]
WWW:     http://www.omnitor.se

> From: [email-masked] [mailto:[email-masked]]On Behalf Of Fox,
> Mike
> Sent: Friday, October 26, 2001 7:44 PM
> To: Miao, Kai; [email-masked]
> Subject: RE: [AVT] V.21 bit representations in RFC 2833
>
>
> Hi Miao,